# Hesap Yönetimi

## Sorgu Bakiyesi

> **GET** `/v3/account/balance`

Cari hesabın kredi bakiyesini sorgulayın.

### İstek Parametreleri

#### Başlıkları Talep Et

| Parametre | Tür | Gerekli | Varsayılan | Açıklama |
| :-: | :-: | :-: | :-: | :-: |
| Authorization | dize | Evet | — | `Bearer {api_key}` |

#### Örnek Talep

##### curl

```bash
curl -X GET https://openapi.tripo3d.ai/v3/account/balance \
  -H "Authorization: Bearer {api_key}"
```

##### Python

```python
import requests

url = "https://openapi.tripo3d.ai/v3/account/balance"
headers = {
    "Authorization": "Bearer {api_key}"
}

response = requests.get(url, headers=headers)
print(response.json())
```

##### JavaScript

```javascript
const url = "https://openapi.tripo3d.ai/v3/account/balance";

const response = await fetch(url, {
  headers: {
    "Authorization": "Bearer {api_key}"
  }
});

const data = await response.json();
console.log(data);
```

### Yanıt

#### Başarılı Yanıt

```json
{
  "code": 0,
  "data": {
    "balance": 10000.00,
    "frozen": 200.00
  }
}
```

#### Yanıt Alanları

| Parametre | Tür | Açıklama |
| :-: | :-: | :-: |
| code | tamsayı | Durum kodu. `0` başarıyı gösterir |
| data.balance | number | Mevcut kredi bakiyesi |
| data.frozen | number | Devam eden görevler için ayrılmış dondurulmuş krediler |

---

## Sorgu Kullanım Ayrıntıları

> **GET** `/v3/account/usage`

Hesabın kredi kullanım ayrıntılarını sorgulayın.

### İstek Parametreleri

#### Başlıkları Talep Et

| Parametre | Tür | Gerekli | Varsayılan | Açıklama |
| :-: | :-: | :-: | :-: | :-: |
| Authorization | dize | Evet | — | `Bearer {api_key}` |

#### Örnek Talep

##### curl

```bash
curl -X GET https://openapi.tripo3d.ai/v3/account/usage \
  -H "Authorization: Bearer {api_key}"
```

##### Python

```python
import requests

url = "https://openapi.tripo3d.ai/v3/account/usage"
headers = {
    "Authorization": "Bearer {api_key}"
}

response = requests.get(url, headers=headers)
print(response.json())
```

##### JavaScript

```javascript
const url = "https://openapi.tripo3d.ai/v3/account/usage";

const response = await fetch(url, {
  headers: {
    "Authorization": "Bearer {api_key}"
  }
});

const data = await response.json();
console.log(data);
```

### Yanıt

#### Başarılı Yanıt

```json
{
  "code": 0,
  "data": [
    {
      "task_id": "task_abc123",
      "type": "text_to_model",
      "credits_consumed": 100.00,
      "created_at": "2025-01-01T00:00:00Z"
    }
  ]
}
```

#### Yanıt Alanları

| Parametre | Tür | Açıklama |
| :-: | :-: | :-: |
| code | tamsayı | Durum kodu. `0` başarıyı gösterir |
| data | dizi | Kullanım ayrıntıları listesi |
| veri[].task_id | dize | Benzersiz görev tanımlayıcı |
| veri[].tür | dize | Görev türü |
| veri[].credits_consumed | number | Tüketilen krediler |
| veri[].created_at | dize | Oluşturma zamanı (ISO 8601) |
